    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Label

    java.lang.Object
       |
       +----java.awt.Component
               |
               +----java.awt.Label

public class Label
extends Component

A `Label` object is a component for placing text in a container. A label displays a single line of read-only text. The text can be changed by the application, but a user cannot edit it directly.

For example, the code . . .

>      setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10));
>      add(new Label("Hi There!"));
>      add(new Label("Another Label"));

produces the following label:

##

CENTER
  Indicates that the label should be centered.
LEFT
  Indicates that the label should be left justified.
RIGHT
  Indicates that the label should be right justified.

##

Label()
  Constructs an empty label.
Label(String)
  Constructs a new label with the specified string of text, left justified.
Label(String, int)
  Constructs a new label that presents the specified string of text with the specified alignment.

##

addNotify()
  Creates the peer for this label.
getAlignment()
  Gets the current alignment of this label.
getText()
  Gets the text of this label.
paramString()
  Returns the parameter string representing the state of this label.
setAlignment(int)
  Sets the alignment for this label to the specified alignment.
setText(String)
  Sets the text for this label to the specified text.

##

LEFT

     public static final int LEFT

  Indicates that the label should be left justified.

CENTER

     public static final int CENTER

  Indicates that the label should be centered.

RIGHT

     public static final int RIGHT

  Indicates that the label should be right justified.

##

Label

     public Label()

  Constructs an empty label.

Label

     public Label(String text)

  Constructs a new label with the specified string of text, left justified.

  Parameters:
    text - the string that the label presents.

Label

     public Label(String text,
                  int alignment)

  Constructs a new label that presents the specified string of text with the specified alignment.

  Possible values for `alignment` are `Label.LEFT`, `Label.RIGHT`, and `Label.CENTER`.

  Parameters:
    text - the string that the label presents.
    alignment - the alignment value.

##

addNotify

     public void addNotify()

  Creates the peer for this label. The peer allows us to modify the appearance of the label without changing its functionality.

  Overrides:
    addNotify in class Component

getAlignment

     public int getAlignment()

  Gets the current alignment of this label. Possible values are `Label.LEFT`, `Label.RIGHT`, and `Label.CENTER`.

  See Also:
    setAlignment

setAlignment

     public synchronized void setAlignment(int alignment)

  Sets the alignment for this label to the specified alignment. Possible values are `Label.LEFT`, `Label.RIGHT`, and `Label.CENTER`.

  Parameters:
    alignment - the alignment to be set.
  Throws: IllegalArgumentException
    if an improper value for `alignment` is given.
  See Also:
    getAlignment

getText

     public String getText()

  Gets the text of this label.

  Returns:
    the text of this label.
  See Also:
    setText

setText

     public synchronized void setText(String text)

  Sets the text for this label to the specified text.

  Parameters:
    text - the text that this label presents.
  See Also:
    getText

paramString

     protected String paramString()

  Returns the parameter string representing the state of this label. This string is useful for debugging.

  Returns:
    the parameter string of this label.
  Overrides:
    paramString in class Component

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.